Domenau wedi'u teilwra
GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| search | Dewisol String | Y llinell chwilio. |
| search_by | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: host. |
| datetime_field | Dewisol String | Gwerthoedd a ganiateir: datetime, last_datetime |
| datetime_start | Dewisol String | Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| datetime_end | Dewisol String | Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| order_by | Dewisol String | Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: domain_id, datetime, last_datetime, host. |
| order_type | Dewisol String | Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel. |
| page | Dewisol Cyfanrif | Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1. |
| results_per_page | Dewisol Cyfanrif | Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains/available?page=1",
"last": "https://tistos.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains/available?page=1"
}
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| search | Dewisol String | Y llinell chwilio. |
| search_by | Dewisol String | Pa faes ydych chi'n chwilio yn ôl. Mae'r gwerthoedd a ganiateir yn: host. |
| is_enabled | Dewisol Booleaidd | |
| datetime_field | Dewisol String | Gwerthoedd a ganiateir: datetime, last_datetime |
| datetime_start | Dewisol String | Hidlo canlyniadau gan ddechrau o'r dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| datetime_end | Dewisol String | Hidlo canlyniadau hyd at y dyddiad a'r amser hwn. Fformat Y-m-d H:i:s. |
| order_by | Dewisol String | Pa faes i drefnu'r canlyniadau yn ôl. Mae'r gwerthoedd a ganiateir yn: domain_id, datetime, last_datetime, host. |
| order_type | Dewisol String | Trefniant y canlyniadau. Mae'r gwerthoedd a ganiateir yn: ASC ar gyfer trefniant cynyddol, a DESC ar gyfer trefniant isel. |
| page | Dewisol Cyfanrif | Y rhif tudalen y dymunwch gael canlyniadau ohono. Mae'n dod yn ddiofyn i 1. |
| results_per_page | Dewisol Cyfanrif | Faint o ganlyniadau ydych chi am bob tudalen. Mae'r gwerthoedd a ganiateir yn: 10, 25, 50, 100, 250, 500, 1000. Mae'r rhagosodiad yn 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains?page=1",
"last": "https://tistos.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains?page=1"
}
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:42:59",
}
}
POST https://tistos.com/api/domains
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| host | Angenrheidiol String | - |
| custom_index_url | Dewisol String | - |
| custom_not_found_url | Dewisol String | - |
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/domains/{domain_id}
| Paramedrau | Manylion | Disgrifiad |
|---|---|---|
| host | Dewisol String | - |
| custom_index_url | Dewisol String | - |
| custom_not_found_url | Dewisol String | - |
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \